Skip to main content
Use this page as the agent tool integration entry point. Different tools support custom providers, OpenAI-compatible APIs, and Anthropic-compatible APIs in different ways, so follow the dedicated guide for your tool.

Common Configuration

  • Root URL: https://api.nusabase.io
  • OpenAI-compatible Base URL: https://api.nusabase.io/v1
  • OpenAI-compatible auth header: Authorization: Bearer sk-your_api_key
  • Anthropic-compatible auth headers: x-api-key: sk-your_api_key and anthropic-version: 2023-06-01
  • Model discovery: GET /v1/models
  • Chat Completions: POST /v1/chat/completions
  • Anthropic Messages-compatible: POST /v1/messages

Quick Connectivity Check

Tool Guides

References